### Property

# Gtk Settings:gtk-primary-button-warps-slider

#### Declaration

    property gtk-primary-button-warps-slider: gboolean [ read, write ]

#### Description [src]

If the value of this setting is `TRUE`, clicking the primary button in a `GtkRange` trough will move the slider, and hence set the range’s value, to the point that you clicked.

If it is `FALSE`, a primary click will cause the slider/value to move by the range’s page-size towards the point clicked.

Whichever action you choose for the primary button, the other action will be available by holding Shift and primary-clicking, or clicking the middle mouse button.

Type: | `gboolean`

Default value | TRUE

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no